#!/usr/bin/env python3

import sys
sys.path.append("../ServerCore")
from WorldManager import WorldManager

from pycallgraph import PyCallGraph
from pycallgraph.output import GraphvizOutput


def main(nchunks=10):
    raw_noise_cell_size = 32
    raw_noise_chunk_size = 4
    world_seed = 42

    # create world:
    wm = WorldManager(raw_noise_cell_size=raw_noise_cell_size,
                      raw_noise_chunk_size=raw_noise_chunk_size,
                      world_seed=world_seed)

    for x in range(nchunks):
        for y in range(nchunks):
            for z in range(nchunks):
                wm.createEmptyChunk(x, y, z)
                wm.applyPerlinToChunk(x, y, z)
                # print(x,y,z)


if __name__ == "__main__":
    with PyCallGraph(output=GraphvizOutput()):
        main(10)
